/billing/transactions Authentication
Send your organization API key as a Bearer credential.
Authorization: Bearer YOUR_API_KEY Query parameters
starting_after string Transaction ID from the preceding page
status string Allowed values: paid, waiting, failed, refund
payment_method string Allowed values: card, invoice, credits
product string Allowed values: subscription_standard, subscription_pro, validation_credits, custom, refund, subscription_expert_25000, subscription_expert_50000, subscription_expert_100000, email_verification, company_base_purchase, ai_agent_processing, table_enrichment
created_from string Inclusive transaction creation time lower bound
created_to string Inclusive transaction creation time upper bound
Response
application/json Billing transactions retrieved successfully
items object[] required Show child attributes
items.id string required items.product string required Allowed values: subscription_standard, subscription_pro, validation_credits, custom, refund, subscription_expert_25000, subscription_expert_50000, subscription_expert_100000, email_verification, company_base_purchase, ai_agent_processing, table_enrichment, unknown
items.title string required items.status string required Allowed values: paid, waiting, failed, refund, unknown
items.payment_method string required Allowed values: card, invoice, credits, unknown
items.amount number required items.refunded_amount number required items.currency string required Allowed values: RUB, USD, COLDY_CREDITS
items.billing_period_months number required items.quantity number required items.created_at string required items.updated_at string required next_starting_after string required Invalid request body (e.g. missing required fields, or invalid field values)
message string[] required List of detailed validation or business error messages
["Name cannot be empty", "Field must be greater than 0"] error string required Short error description
Bad Request statusCode number required HTTP status code of the error
400 This request is unauthorized (either the Authorization header is missing or invalid, or the API key has been revoked)
message string[] required List of messages explaining why the request was unauthorized
["User is not authorized", "Invalid API key"] error string required Short error description
Unauthorized statusCode number required HTTP status code of the error
401 You have exceeded the rate limit. Please check the rate limit docs for more information.
message string[] required List of messages explaining the rate limiting issue
["Too many requests, please try again later"] error string required Short error description
Too Many Requests statusCode number required HTTP status code of the error
429